Main Page Widgets Namespaces Book

# filefilter.h File Reference

## Classes
class | Gtk::FileFilter
| A filter for selecting a file subset. More...
class | Gtk::FileFilter::FileFilter::Info
## Namespaces
namespace | Glib
namespace | Gtk
## Enumerations
enum | Gtk::FileFilterFlags { Gtk::FILE_FILTER_FILENAME = 1 << 0, Gtk::FILE_FILTER_URI = 1 << 1, Gtk::FILE_FILTER_DISPLAY_NAME = 1 << 2, Gtk::FILE_FILTER_MIME_TYPE = 1 << 3 }
## Functions
FileFilterFlags | Gtk::operator& (FileFilterFlags lhs, FileFilterFlags rhs)
FileFilterFlags& | Gtk::operator&= (FileFilterFlags& lhs, FileFilterFlags rhs)
FileFilterFlags | Gtk::operator^ (FileFilterFlags lhs, FileFilterFlags rhs)
FileFilterFlags& | Gtk::operator^= (FileFilterFlags& lhs, FileFilterFlags rhs)
FileFilterFlags | Gtk::operator| (FileFilterFlags lhs, FileFilterFlags rhs)
FileFilterFlags& | Gtk::operator|= (FileFilterFlags& lhs, FileFilterFlags rhs)
FileFilterFlags | Gtk::operator~ (FileFilterFlags flags)